import { Levels, LogOptions } from '../types';
/**
 * @description Object with list of default levels
 */
export declare const defaultLevels: Levels;
/**
 * @summary Main logging function
 * @description Logs and write to the console
 * @param {LogOptions} options
 * @note Available levels: info, database, debug, access, error, and fatal
 * @note If the level name does not exist, the default level info will be added
 * @return {void} void
 */
export declare function log({ levelName, message, error }: LogOptions): void;
/**
 * @description Gets the logs of specified file
 * @param {string} fileName
 * @returns {Promise<JSON[]>} logs
 */
export declare function readLog(fileName: string): Promise<JSON[]>;
